TFDi Design Icon
TFDi Design
VA APIFlightsCharter

Charter Flight

Charter a flight that does not have an existing schedule

POST
/flights/charter

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

number*string
Match^[A-Z]{3}[A-Z0-9]{1,}$
departure*string
Match^[A-Z]{4}$
arrival*string
Match^[A-Z]{4}$
route*array<>
aircraft*string
Match^[A-Z]{1}[A-Z0-9]{1,3}$
cruise*integer
Formatint32
Range0 <= value <= 999
distance*number
Formatfloat
Range0 <= value
type*string
Match^P|C$
departureTime*string
Match^(2[0-3]|[01]?[0-9]):([0-5]?[0-9])$
arrivalTime*string
Match^(2[0-3]|[01]?[0-9]):([0-5]?[0-9])$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/flights/charter" \  -H "Content-Type: application/json" \  -d '{    "number": "string",    "departure": "string",    "arrival": "string",    "route": [      "string"    ],    "aircraft": "string",    "cruise": 999,    "distance": 0.1,    "type": "string",    "departureTime": "string",    "arrivalTime": "string"  }'
{
  "bidID": 0
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}